Show / Hide Table of Contents

# Struct SDL.SDL_HapticCondition

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_HapticCondition

### Fields

| Improve this Doc View Source

#### button

##### Declaration

    public ushort button

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### center

##### Declaration

    public short *center

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### deadband

##### Declaration

    public ushort *deadband

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### delay

##### Declaration

    public ushort delay

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### direction

##### Declaration

    public SDL.SDL_HapticDirection direction

##### Field Value

Type | Description
--- | ---
SDL.SDL_HapticDirection |

| Improve this Doc View Source

#### interval

##### Declaration

    public ushort interval

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### left_coeff

##### Declaration

    public short *left_coeff

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### left_sat

##### Declaration

    public ushort *left_sat

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### length

##### Declaration

    public uint length

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### right_coeff

##### Declaration

    public short *right_coeff

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### right_sat

##### Declaration

    public ushort *right_sat

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### type

##### Declaration

    public ushort type

##### Field Value

Type | Description
--- | ---
System.UInt16 |